Skip to main content
POST
Caution - Payouts refused to Bank Accounts created after April 30, 2026Bank Account objects created after April 30, 2026, will not be usable for payouts. External accounts must be registered using the Recipient endpoints and authenticated using SCA.Payouts to Bank Accounts created after May 1, 2026, will fail with the ResultCode 121018. To resolve this, register the external account using POST Create a Recipient and retry the payout.
Note – Replaced by Recipients featureThe Bank Account object and endpoints have been replaced by the Recipients feature, which all platforms should integrate instead.Legacy active Bank Accounts (Active is true) have been migrated to the new feature and their data is retrievable via the GET View a Recipient endpoint using the same BankAccountId. Read more about legacy bank account migration.

Path parameters

string
required
The unique identifier of the User (natural or legal) who owns the bank account.

Body parameters

object
required
Information about the address of residence of the bank account owner.
string
required
Format: Digits onlyThe unique set of digits of the bank account.
string
required
Length: 9 charactersThe American Banking Association (ABA) routing number for US-type bank accounts.
string
Allowed values: CHECKING, SAVINGSThe deposit type for US-type bank accounts.
string
required
Max. length: 255 charactersThe full name of the owner of the bank account. (Format: FirstName LastName)
string
Max. length: 255 charactersCustom data that you can add to this object.
For bank accounts, you can use this parameter to identify the bank account by currency or usage (personal or professional for instance).

Responses

object
Information about the address of residence of the bank account owner.
string
Format: Digits onlyThe unique set of digits of the bank account.
string
Length: 9 charactersThe American Banking Association (ABA) routing number for US-type bank accounts.
string
Returned values: CHECKING, SAVINGSThe deposit type for US-type bank accounts.
string
The unique identifier of the User (natural or legal) who owns the bank account.
string
Max. length: 255 charactersThe full name of the owner of the bank account. (Format: FirstName LastName)
string
Returned values: IBAN, US, CA, GB, OTHERThe type of the bank account, indicating the country where the real-life account is registered
The values are:
  • IBAN – For accounts registered in countries that use IBAN 
  • US – For accounts registered in the United States 
  • CA – For accounts registered in Canada
  • GB – For accounts registered in the United Kingdom
  • OTHER – For accounts registered in countries that do not use IBAN (and are not US, CA, GB)
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For bank accounts, you can use this parameter to identify the bank account by currency or usage (personal or professional for instance).
Unix timestamp
The date and time at which the object was created.
boolean
Whether or not the Bank Account is active. Mangopay automatically sets this parameter to false if the bank account is closed or does not exist anymore.